%global debug_package %{nil}

Name:       optee_os
Version:    4.0.0
Release:    %autorelease
Summary:    OP-TEE Trusted OS
License:    FIXME
URL:        https://github.com/OP-TEE/optee_os
Source0:    https://git.trustedfirmware.org/OP-TEE/optee_os.git/snapshot/optee_os-%{version}.tar.gz
Source1:    make.py

BuildRequires: make gcc binutils dtc
BuildRequires: gcc-arm-linux-gnu
BuildRequires: gcc-aarch64-linux-gnu

BuildRequires: python3
BuildRequires: python3dist(cryptography)
BuildRequires: python3dist(pyelftools)

BuildRequires: edk2-aarch64

%description
OP-TEE is a Trusted Execution Environment (TEE) designed as companion
to a non-secure Linux kernel running on Arm; Cortex-A cores using the
TrustZone technology.

%prep
%setup -q

%build
unset CFLAGS CXXFLAGS LDFLAGS
python3 %{SOURCE1}

%install
for dir in out-*; do
    dest=%{buildroot}%{_datadir}/%{name}/${dir#out-}
    mkdir -p "${dest}"
    cp -v $dir/core/*.bin "${dest}"
done

%files
%{_datadir}/%{name}

%changelog
%autochangelog
